osl::stat::Variance Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Types | Private Attributes | List of all members
osl::stat::Variance Class Reference

incrementaly maintain average and variance of data sequence More...

`#include <variance.h>`

Inheritance diagram for osl::stat::Variance:
[legend]
Collaboration diagram for osl::stat::Variance:
[legend]

## Public Member Functions
| Variance ()
void | add (const double &x)
double | variance () const

## Private Types
typedef Average | base_t

## Private Attributes
double | m_variance

## Additional Inherited Members
Private Member Functions inherited from osl::stat::Average
| Average ()
double | add (const double &x)
| Add an element x. More...
void | merge (const Average &r)
void | clear (double a=0.0, int e=0)
double | getAverage () const
double | average () const
int | numElements () const

## Detailed Description

incrementaly maintain average and variance of data sequence

Definition at line 14 of file variance.h.

## Member Typedef Documentation

typedef Average osl::stat::Variance::base_t
| private

Definition at line 17 of file variance.h.

## Constructor & Destructor Documentation

osl::stat::Variance::Variance | ( | ) |  |
| inline

Definition at line 20 of file variance.h.

## Member Function Documentation

void osl::stat::Variance::add | ( | const double & | x) |  |
| inline

Definition at line 24 of file variance.h.

References osl::stat::Average::add(), m_variance, and osl::stat::Average::numElements().

double osl::stat::Variance::variance | ( | ) |  | const
| inline

Definition at line 33 of file variance.h.

References m_variance, and osl::stat::Average::numElements().

## Member Data Documentation

double osl::stat::Variance::m_variance
| private

Definition at line 16 of file variance.h.

Referenced by add(), and variance().

The documentation for this class was generated from the following file:

- variance.h